[Solved] troubles installing the game on archlinux 64 bits

Problems with the Linux version of Darwinia

Moderators: bert_the_turtle, jelco, Chris, andy, John

cam217
level0
Posts: 8
Joined: Sun Feb 20, 2011 3:37 pm
Location: France

[Solved] troubles installing the game on archlinux 64 bits

Postby cam217 » Sun Feb 20, 2011 3:53 pm

Hi,

I bought the game this morning but I can't play on archlinux 64 bits, I hope someone is going to help me with this.

After I downloaded the game (darwinia-complete-1.2.1b.sh), I tried running it but here's what I have:

Code: Select all

[cam@arch Darwinia]$ sh darwinia-complete-1.2.1b.sh
Verifying archive integrity... All good.
Uncompressing Darwinia complete 1.2.1b.......................................................................
./setup.sh: line 220: /home/cam/.setup5135: No such file or directory


There isn't much informations about the issue here, does anybody have an idea of what's wrong?
Thanks

EDIT: I tried with the version 1.3.0 (Darksun gave me the link on IRC) but this is the same problem at the same line.
Last edited by cam217 on Sun Feb 20, 2011 11:32 pm, edited 2 times in total.
multimania
level2
level2
Posts: 129
Joined: Fri Nov 26, 2004 4:07 pm
Location: Turn left past the giant evil space vortex.

Postby multimania » Sun Feb 20, 2011 4:16 pm

The setup script used in version 1.2.1 of darwinia is old and doesn't play too nicely with newer distros. On arch64, you'll need the multilib repository enabled.

Code: Select all

sudo pacman -S lib32-libstdc++5
sh darwinia-complete-1.2.1b.sh --keep --noexec
cd darwinia
mv bin/Linux/x86/darwinia .
rm -r bin setup.* lib/libgcc_s.so.1


You can then run './darwinia' from the darwinia directory.

It's also a good idea to download the latest patch, which will fix bugs and add the newer control scheme.

Good luck, and enjoy darwinia!
cam217
level0
Posts: 8
Joined: Sun Feb 20, 2011 3:37 pm
Location: France

Postby cam217 » Sun Feb 20, 2011 7:11 pm

Well, thank you for your response.

I did all the commands with the 1.2.1b and after that the 1.3.0 but I still have an error with libGL now

Code: Select all

[cam@arch darwinia]$ ./darwinia
.
./lib/darwinia.bin.x86: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
[cam@arch darwinia]$ locate libGL
/usr/lib/libGL.so
/usr/lib/libGL.so.1
/usr/lib/libGL.so.260.19.36
/usr/lib/libGLEW.a
/usr/lib/libGLEW.so
/usr/lib/libGLEW.so.1.5
/usr/lib/libGLEW.so.1.5.8
/usr/lib/libGLU.so
/usr/lib/libGLU.so.1
/usr/lib/libGLU.so.1.3.071000
/usr/lib/libGLw.so
/usr/lib/libGLw.so.1
/usr/lib/libGLw.so.1.0.0

cam217
level0
Posts: 8
Joined: Sun Feb 20, 2011 3:37 pm
Location: France

Postby cam217 » Sun Feb 20, 2011 11:30 pm

Darwinia launches fine now, here's what I did

First error

Code: Select all

[cam@arch darwinia]$ ./darwinia
.
./lib/darwinia.bin.x86: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory


Solved with

Code: Select all

yaourt -S lib32-nvidia-utils


Second error

Code: Select all

[cam@arch darwinia]$ ./darwinia
.
./lib/darwinia.bin.x86: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory


Solved with

Code: Select all

yaourt -S lib32-mesa

Return to “Linux Issues”

Who is online

Users browsing this forum: No registered users and 2 guests